Package org.eclipse.jgit.errors

## Class LargeObjectException.ExceedsLimit

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.LargeObjectException
        - - org.eclipse.jgit.errors.LargeObjectException.ExceedsLimit

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  LargeObjectException

    public static class LargeObjectException.ExceedsLimit
    extends LargeObjectException

Object size exceeds the caller's upper limit.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.errors.LargeObjectException

`LargeObjectException.ExceedsByteArrayLimit, LargeObjectException.ExceedsLimit, LargeObjectException.OutOfMemory`

### Constructor Summary

Constructors
`ExceedsLimit​(long limit, long size)` Construct an exception for a particular size being exceeded.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()`

### Methods inherited from class org.eclipse.jgit.errors.LargeObjectException

`getObjectId, getObjectName, setObjectId`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExceedsLimit

    public ExceedsLimit​(long limit,
                        long size)

Construct an exception for a particular size being exceeded.

Parameters:
  `limit` - the limit the caller imposed on the object.
  `size` - the actual size of the object.

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `LargeObjectException`